RubyGems Navigation menu

rubocop-airbnb 4.0.0

A plugin for RuboCop code style enforcing & linting tool. It includes Rubocop configuration used at Airbnb and a few custom rules that have cause internal issues at Airbnb but are not supported by core Rubocop.

Versions:

  1. 4.0.0 - September 21, 2021 (40.5 KB)
  2. 3.0.2 - November 15, 2019 (40 KB)
  3. 3.0.1 - November 14, 2019 (40 KB)
  4. 3.0.0 - November 14, 2019 (40 KB)
  5. 2.0.0 - October 31, 2018 (40.5 KB)
Show all versions (9 total)

Runtime Dependencies (4):

rubocop ~> 0.93.1
rubocop-rails ~> 2.9.1
rubocop-rspec ~> 1.44.1

Development Dependencies (1):

rspec ~> 3.5

Owners:

Pushed by:

Authors:

  • Airbnb Engineering

SHA 256 checksum:

6fb6b941b47432ada6cde1b14e044361c2361bef2abf3e037d589205e2ff6e76

Total downloads 1,128,307

For this version 288,370

Gemfile:
= Copy to clipboard Copied!

install:
=

License:

MIT

Required Ruby Version: >= 2.4

Links: